#add_rostest_gtest(test_serial_subscriber
#  serial_subscriber.test
#  test_serial_subscriber.cpp)
add_executable(test_serial_subscriber serial_subscriber.test test_serial_subscriber.cpp) #TODO: make this a test
add_dependencies(test_serial_subscriber serial_subscriber_example)
target_link_libraries(test_serial_subscriber serial test_tools rclcpp std_msgs ${GTEST_LIBRARIES})

#add_rostest_gtest(test_pub_sub
#  pub_sub.test
#  test_pub_sub.cpp)
add_executable(test_pub_sub pub_sub.test test_pub_sub.cpp) #TODO: make a test
add_dependencies(test_pub_sub pub_sub_example)
target_link_libraries(test_pub_sub  test_tools rclcpp std_msgs ${GTEST_LIBRARIES})
